### Function

# EDataServer categories_register_change_listener

since: 2.24

#### Declaration [src]

    void
    e_categories_register_change_listener (
      GCallback listener,
      gpointer user_data
    )

#### Description [src]

Registers callback to be called on change of any category. Pair listener and user_data is used to distinguish between listeners. Listeners can be unregistered with `e_categories_unregister_change_listener`.

This function is thread safe.

Available since: 2.24

#### Parameters

`listener`

  Type: `GCallback`

  The callback to be called on any category change.

`user_data`

  Type: `gpointer`

  Used data passed to the `listener` when called.

  The argument can be `NULL`.
  The data is owned by the caller of the function.